`include "pll.v"
`include "system.v"

module main(
	output TXD, 
	input  RXD, 
	input  CLKIN, 

	inout  [15:0]XD,
	output [15:0]XA,
	output XWE,
	output XOE,
	output XBHE,
	output XBLE,
	
	input  MISO,
	output MOSI,
	output SCK,
	output SSBF,
		
	output PWM

);
wire XBHE;
wire XBLE;
assign XBHE=0;
assign XBLE=0;

wire clk,pll_lock;
//-- Instanciar el PLL
pll
  pll1(
	.clock_in(CLKIN),
	.clock_out(clk),
	.locked(pll_lock)
	);

// Reset
reg [19:0]cres=20'h0;
always @(posedge CLKIN) cres<=cres[19]?cres:cres+1;
assign resb=cres[19];

SYSTEM sys0( .clk(clk), .reset( ~resb), .txd(TXD), .rxd(RXD) );


endmodule


